> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-en/sdk/domains-api/tossauth/tossauth.isintegrated.md).

# TossAuth.isIntegrated

> Functional API `getIsTossLoginIntegratedService`You can use the same function with this as well.

### Feature description

Checks whether the user has linked Toss Login. It can be used for migrations such as finding existing Toss Login users and converting them to game identifiers.

Toss app Android/iOS `5.237.0` It can be used on versions above. If called in an unsupported version, `UNSUPPORTED_APP_VERSION` an error occurs.

When called from a mini app that does not use Toss Login `"oauth2ClientId configuration is required."` An error occurs in the message.

### Type

```ts
TossAuth.isIntegrated(): Promise<boolean>;
```

**Params**

None

**Response**

If it is linked `true`, otherwise `false`is returned.

### Error code

The error code is the `error.code` value.

| Code                      | Description                                                                                                                                                                                                                                     |
| ------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `UNSUPPORTED_APP_VERSION` | If the running version of the Toss app doesn't support this feature, it occurs immediately upon call. `TossAuth.isIntegrated.isSupported()`Check in advance with `error.message`and, if it occurs, show the user the (update guidance message). |

### Example code

```js
import { TossAuth } from "@apps-in-toss/web-framework";

const button = document.querySelector("#check-integration-button");

button.addEventListener("click", async () => {
  try {
    const result = await TossAuth.isIntegrated();

    if (result === true) {
      console.log("The user has Toss Login linked.");
    } else {
      console.log("The user does not have Toss Login linked.");
    }
  } catch (error) {
    console.error(error);
  }
});
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-en/sdk/domains-api/tossauth/tossauth.isintegrated.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
